Add new Registered client
Create new Registered client with specified data. Client will be created without Logo URL. In order to specify a Logo URL, send separate Update Registered Logo request along with id of just created client.
curl --request POST \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
],
"catalogConfiguration": null
}
'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient"
payload = {
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": ["https://your-website1.com", "https://your-website2.com"],
"catalogConfiguration": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessLegalName: 'Client 1 Business Legal Name',
displayName: 'Client 1 Display Name',
callbackUrls: ['https://your-website1.com', 'https://your-website2.com'],
catalogConfiguration: null
})
};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'businessLegalName' => 'Client 1 Business Legal Name',
'displayName' => 'Client 1 Display Name',
'callbackUrls' => [
'https://your-website1.com',
'https://your-website2.com'
],
'catalogConfiguration' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient"
payload := strings.NewReader("{\n \"businessLegalName\": \"Client 1 Business Legal Name\",\n \"displayName\": \"Client 1 Display Name\",\n \"callbackUrls\": [\n \"https://your-website1.com\",\n \"https://your-website2.com\"\n ],\n \"catalogConfiguration\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"businessLegalName\": \"Client 1 Business Legal Name\",\n \"displayName\": \"Client 1 Display Name\",\n \"callbackUrls\": [\n \"https://your-website1.com\",\n \"https://your-website2.com\"\n ],\n \"catalogConfiguration\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"businessLegalName\": \"Client 1 Business Legal Name\",\n \"displayName\": \"Client 1 Display Name\",\n \"callbackUrls\": [\n \"https://your-website1.com\",\n \"https://your-website2.com\"\n ],\n \"catalogConfiguration\": null\n}"
response = http.request(request)
puts response.read_body{
"content": {
"id": "dd41da0d-71dd-4328-9e9e-fcd59083a0e0",
"logoUrl": "https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png",
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
],
"catalogConfiguration": null
},
"status": "ok",
"message": "",
"errorHash": "51d01c67",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}Authorizations
Authorization header using the Bearer scheme. Example: "Authorization: Bearer {Value}"
Body
Create Registered client request
Registered client Business Legal Name
300Registered client Display Name
300Registered client Allowed Link URLs. If no Allowed Link URLs are specified, Allowed Link URLs from main client will be used.
Catalog configuration request shape shared by profile, client, and sub-client write surfaces. By default all integrations show; the fields below curate the catalog. integrationWhiteList cannot be combined with excludeIntegrationCategories or excludeIntegrations.
Show child attributes
Show child attributes
Response
Registered client created
ok, serverFailure, permissionDenied, badRequest, notFound, conflict, tooManyRequest, locked, unavailableForLegalReasons A message generated by the API
User-friendly display message that can be presented to the end user
An error grouping hash from string components and caller information. Used by bugsnag on FE for correct error grouping
Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS. Format: 2-character code (e.g., "7K", "M2"). Use for alerting/routing, not display.
Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation. All possible error types are available in the documentation.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
],
"catalogConfiguration": null
}
'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient"
payload = {
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": ["https://your-website1.com", "https://your-website2.com"],
"catalogConfiguration": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessLegalName: 'Client 1 Business Legal Name',
displayName: 'Client 1 Display Name',
callbackUrls: ['https://your-website1.com', 'https://your-website2.com'],
catalogConfiguration: null
})
};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'businessLegalName' => 'Client 1 Business Legal Name',
'displayName' => 'Client 1 Display Name',
'callbackUrls' => [
'https://your-website1.com',
'https://your-website2.com'
],
'catalogConfiguration' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient"
payload := strings.NewReader("{\n \"businessLegalName\": \"Client 1 Business Legal Name\",\n \"displayName\": \"Client 1 Display Name\",\n \"callbackUrls\": [\n \"https://your-website1.com\",\n \"https://your-website2.com\"\n ],\n \"catalogConfiguration\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"businessLegalName\": \"Client 1 Business Legal Name\",\n \"displayName\": \"Client 1 Display Name\",\n \"callbackUrls\": [\n \"https://your-website1.com\",\n \"https://your-website2.com\"\n ],\n \"catalogConfiguration\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/SubClient")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"businessLegalName\": \"Client 1 Business Legal Name\",\n \"displayName\": \"Client 1 Display Name\",\n \"callbackUrls\": [\n \"https://your-website1.com\",\n \"https://your-website2.com\"\n ],\n \"catalogConfiguration\": null\n}"
response = http.request(request)
puts response.read_body{
"content": {
"id": "dd41da0d-71dd-4328-9e9e-fcd59083a0e0",
"logoUrl": "https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png",
"businessLegalName": "Client 1 Business Legal Name",
"displayName": "Client 1 Display Name",
"callbackUrls": [
"https://your-website1.com",
"https://your-website2.com"
],
"catalogConfiguration": null
},
"status": "ok",
"message": "",
"errorHash": "51d01c67",
"teamCode": "P4",
"errorType": ""
}{
"statusCode": 401
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}